Bug 172340 - package makes assumption it shouldn't
package makes assumption it shouldn't
Product: Fedora
Classification: Fedora
Component: libsigc++ (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phillip Compton
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-11-02 18:36 EST by Dennis Gilmore
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2.5-8
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-15 05:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2005-11-02 18:36:41 EST
Description of problem: 
When building libsigc++ it makes an assumption that it is connected to the 
internet.  If building the package in an environment that has no connectivity 
or needs to go through a manually configured firewall,  or even if there is 
some network outage  build fails 
the package  should include the docbook files and be configured to use the 
local copies only. 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1.build package in conditions above 
Actual results: 
build fails  
Expected results: 
build to succed 
Additional info: 
failure log 
g++ -O2 -g -pipe -m32 -mcpu=v7 -mtune=ultrasparc -o .libs/hide_test 
hide_test.o  ../sigc++/.libs/libsigc-1.2.so 
creating hide_test 
g++ -O2 -g -pipe -m32 -mcpu=v7 -mtune=ultrasparc -o .libs/method_slot_test 
method_slot_test.o  ../sigc++/.libs/libsigc-1.2.so 
/bin/sh ../libtool --mode=link --tag=CXX g++  -O2 -g -pipe -m32 -mcpu=v7 
-mtune=ultrasparc   -o 
disappearing_observer_test  disappearing_observer_test.o ../sigc++/libsigc-1.2.la  
creating method_slot_test 
g++ -O2 -g -pipe -m32 -mcpu=v7 -mtune=ultrasparc 
-o .libs/disappearing_observer_test 
disappearing_observer_test.o  ../sigc++/.libs/libsigc-1.2.so 
creating disappearing_observer_test 
make[1]: Leaving directory `/builddir/build/BUILD/libsigc++-1.2.5/tests' 
Making all in doc 
make[1]: Entering directory `/builddir/build/BUILD/libsigc++-1.2.5/doc' 
make[2]: Entering directory `/builddir/build/BUILD/libsigc++-1.2.5/doc' 
make[2]: Nothing to be done for `all-am'. 
make[2]: Leaving directory `/builddir/build/BUILD/libsigc++-1.2.5/doc' 
make[1]: Leaving directory `/builddir/build/BUILD/libsigc++-1.2.5/doc' 
make[1]: Entering directory `/builddir/build/BUILD/libsigc++-1.2.5' 
make[1]: Nothing to be done for `all-am'. 
make[1]: Leaving directory `/builddir/build/BUILD/libsigc++-1.2.5' 
+ cd doc/manual 
+ make 
xsltproc -o html/ --catalogs 
Variable $SGML_CATALOG_FILES not set 
error : Operation timed out 
warning: failed to load external entity 
cannot parse http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl 
make: *** [html] Error 4 
error: Bad exit status from /var/tmp/rpm-tmp.93525 (%build)
Comment 1 Michael Schwendt 2006-01-15 05:53:04 EST
This is fixed in FE-4 and later.
Not worth re-releasing binaries for FE-3.
Comment 2 Dennis Gilmore 2006-01-15 10:41:41 EST
i guess ill have to backport FE4 package to FE3  its an issue to me as I 
rebuild the FE3 packages for aurora linux.  which is based on fc3.   

Note You need to log in before you can comment on or make changes to this bug.